Airwallex logo
Airwallex logoAirwallex logo

Fraud Feedback (Issuing)

Copy for LLMView as Markdown

The Fraud Feedback API may be used to confirm whether an issuing transaction was authorized or not authorized by the cardholder. A transaction confirmed to be authorized will allow Airwallex to better understand the cardholder's transaction patterns and increase the success rate of similar transactions. A transaction confirmed not to have been authorized by the cardholder will be labelled as fraudulent and the card will be blocked.

Please note all future transactions on a blocked card will be blocked. If you require a card to be unblocked please contact support.

Frozen cards may be unfrozen via the update a Card API.

Endpoints
POST /api/v1/risk/issuing/fraud_feedback

Fraud feedback (Issuing)

POST /api/v1/risk/issuing/fraud_feedback

Create a confirmation on whether a transaction was authorized by the cardholder.

Request body
authorization_idrequiredstring

Unique id for the authorization

cardholder_decisionstring

The cardholder authorization status. Use AUTHORIZED_BY_CARDHOLDER, NOT_AUTHORIZED_BY_CARDHOLDER.

Response body - 200 OK
authorization_idstring

Unique id for the authorization.

card_idstring

Card id for the authorization.

cardholder_decisionstring

User Response to authorization.

Errors
Error statusDescription
400

Possible errors: invalid_state_for_operation

401

Unauthorized

403

Possible errors: account_not_authorised_for_operation

404

Possible errors: resource_not_found

500

Possible errors: internal_server_error

POST /api/v1/risk/issuing/fraud_feedback
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/risk/issuing/fraud_feedback' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "authorization_id": "authorization_id",
> "cardholder_decision": "AUTHORIZED_BY_CARDHOLDER"
>}'
Response (200 OK)
1{
2 "authorization_id": "authorization_id",
3 "card_id": "card_id",
4 "cardholder_decision": "AUTHORIZED_BY_CARDHOLDER"
5}
Was this section helpful?